/* SpellMeController */

#import <Cocoa/Cocoa.h>

@interface SpellMeController : NSObject
{
    IBOutlet NSTextView *spellField;
	IBOutlet NSWindow *mainWindow;
	IBOutlet NSButton *autoPasteCheck;
	IBOutlet NSButton *appendPasteCheck;
}
- (IBAction)onCheckSpelling:(id)sender;
- (IBAction)onClear:(id)sender;
- (IBAction)onCopyAll:(id)sender;
- (IBAction)onPaste:(id)sender;
- (IBAction)onAutoPasteClick:(id) sender;
- (IBAction) onAppendOnPasteClick:(id) sender;

- (void) deleteText;
- (void) awakeFromNib;
- (void) onWindowFocus:(NSNotification *)aNotification;
- (void) pasteFromPasteBoard;
@end
